<?php
	
	session_start();
	
	if (!isset($_SESSION['zalogowany']))
	{
		header('Location: logowanie');
		exit();
	}	
	
	require_once "../../../connect.php";
	require_once "../laduj/class-get-ustawienia.php";
	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_ustawienia_bm = new get_ustawienia_bm(); 
	$get_ustawienia_bm->get_ustawienia();
	$ustawienia_bm = $get_ustawienia_bm->get_ustawienia();
	$url_serwera_bm = $ustawienia_bm["bm_wartosc"][0];
	
	// sprawdzenia czy coś przyszło do pliku 
	// usuwanie wybranych plików po id pliku
	// tworzenie odpowiedniego skryptu który schowa plik żeby użytkownik wiedział że usunięcie się powiodło
	
	if(isset($_POST['usun_plik']))
	{
		$id_plik = $_POST['usun_plik'];
		
		$ile_usun = count($id_plik);
		
		$d_usun = $_POST['d_usun'];
		
		//echo $id_plik[0] . " " . $ile_usun . " " . $d_usun ;	
	
		//echo $ile_deelete;
		
		//echo $id_post[0] ;
		
		
		//$id_post = htmlentities($id_post, ENT_QUOTES, "UTF-8");	
		
		
		
		for($i=0; $i < $ile_usun; $i++)	{
		
			// podanie odpowiedniej szcieżki do plików
			$sciezka = "../../../pliki/uploads/";
			$sciezka2 = "../../../";

			// tworzenie daty odpowiedniej do zarządzania plikami i folderami
			$date_miesac = date('m');
			$date_rok = date('Y');
			$date = date('d-m-Y');

			// Podawanjie ścieżki do zapisu 
			$target_dir = "../../../pliki/uploads/";
			$target_dir2 = $url_serwera_bm."pliki/uploads/";

			// działanie na bazie danych dysku

			// przypisanie zmniennej $file nazwy pliku i podaniej śćieżki dostępu
			$file = $target_dir ."dysk.json";

			// tworzenie nowej zmienej do załadowania  pliku dysk
			$dysk_load = "";

			// pobieranie danych z pliku dysk 
			$dysk_load = file_get_contents($file);
			
			// degodowanie danych z json do tablicy czyelnej
			$dysk_load = json_decode($dysk_load, true);
			
			// zmiana zmiennej dla większej wygody inplementacj danych
			//$dysk = [];
			$dysk = $dysk_load;
			
			$dysk2 = $dysk_load;
			
			// popieranie scieżki pliku do usunięcia
			$sciezka_plik = $dysk[$id_plik[$i]]['sciezka'];
			
			// zamienianie prokotołu http(s) na czytelną scieżkę dla systemu
			$sciezka_plik = str_replace($url_serwera_bm, "", $sciezka_plik);
			
			// usunięcie z tablicy dysku rekordów z plikami na dysku
			unset($dysk[$id_plik[$i]]);
			
			// sortowanie tablicy po kluczu i od najmniejszego do największego
			asort($dysk);
			sort($dysk);
			array_multisort($dysk,SORT_ASC);
				
			// kodowanie danych do formatu json
			$dysk_json_encode = json_encode($dysk);
			
			// uchwyt pliku, otwarcie do dopisania
			$file_open = fopen($file, "w");

			// blokada pliku do zapisu
			flock($file_open, 2);

			// zapisanie danych do pliku
			fwrite($file_open, $dysk_json_encode);

			// odblokowanie pliku
			flock($file_open, 3);

			// zamknięcie pliku
			fclose($file_open);			
			
			// usuwanie pliku z serwera
			if (unlink($sciezka2 . $sciezka_plik)) {				
				
				if ($d_usun == 1) {
					echo '
						<section class="tsr tsr-alert tsr-alert-success">
							Plik został usunięty poprawnie!
						</section>
					';
				}
							
				echo '
					<script type="text/javascript">
					var usun_plik = [];
					var hiden_post = $("[data-id-post='."'".$id_plik[$i]."'".']");
							
					$(hiden_post).delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500);
					</script>
				';
			}else{
				echo '
						<section class="tsr tsr-alert tsr-alert-error">
							Kod błędu: [ERROR_DELETE_FILE] - Błąd podczas usuwania pliku!
						</section>
					';
			}

		}
				
	}	
	
?>